Skip to content
Release: Australia · Updated: 2019-10-16 · Official documentation · View source

Sales CRM Pricing - DELETE - /api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}

Terminate a session with a given ID that was established during a configurator session.

URL format

Versioned URL: /api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}

Default URL: /api/sn_csm_pricing/pricingengine/pricing_context/{pricing_context_id}

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
pricing\_context\_idID from pricing engine request when scope is configurator.
NameDescription
None 
NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
statusIndicates the overall outcome of the requested operation.
messageA human-readable message that provides more detail about the status. It is useful for logging or for displaying a confirmation to an end-user. In this case, it explicitly states that the deletion was successful.
pricing_context_idThe unique of the resource that was affected by the operation. By returning the ID, the API confirms exactly which pricing context has been deleted, which helps prevent ambiguity.

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.

Response body parameters (JSON or XML)

NameDescription
None

cURL request

curl -i -X DELETE \
'https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}' \
--user 'username:password'

Parent Topic:Sales CRM Pricing API